﻿@model CancelSubscriptionOrderViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" data-ng-click="cancelAction()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Cancel

            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                <div class="avatar-box">
                    <i ng-class="{'jbi-user-male':Model.Gender == 'Male', 'jbi-user-female': Model.Gender == 'Female','jbi-user-male':Model.Gender ===null}"></i>
                </div>
                <div class="info-box">
                    <h2 class="name ellipsis" ng-if="Model.HasProgramSchedule==true"><span ng-bind="Model.FullName">Participant Name</span></h2>
                    <h2 class="name ellipsis" ng-if="Model.HasProgramSchedule==false"><span ng-bind="Model.Name">Participant Name</span></h2>
                    <p class="desc">{{Model.Gender}} <span ng-if="Model.Age != 0">| {{Model.Age}} </span> <span ng-if="Model.Grade">| Grade {{Model.Grade}}</span></p>
                </div>
            </div>
        </div>
       <div class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-third">
                <b>Confirmation</b>
                <i ng-bind="(Model.ConfirmationId)"></i>
            </div>
            <div class="place-left one-third" ng-if="Model.RefundFee > 0" ng-class="{ 'fg-green' : Model.RefundFee > 0 }">
                <b>New balance</b>
                <i class="balance" ng-bind="(Model.RefundFee).formatCurrencyWithPenny(2)"></i>
            </div>
           <div class="place-left one-third" ng-if="Model.NewBalance > 0" ng-class="{ 'fg-red' : Model.NewBalance > 0 }">
               <b>New balance</b>
               <i class="balance" ng-bind="(Model.NewBalance).formatCurrencyWithPenny(2)"></i>
           </div>
           <div class="place-left one-third" ng-if="Model.NewBalance == 0 && Model.RefundFee == 0">
               <b>New balance</b>
               <i class="balance">$0.00</i>
           </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <div class="right-box">
        <div class="clearfix">
            <div class="margin-right10">

                <table class="table">
                    <colgroup>
                        <col style="font-weight: bold;width: 80%;">
                        <col style="width: 20%;">
                    </colgroup>
                    <tfoot>
                            <tr>
                                <td class="text-bold">Total</td>
                                <td class="text-bold">{{(Model.NewTotalAmount).formatCurrencyWithPenny(2)}}</td>
                            </tr>
                            <tr>
                                <td class="text-bold">Paid amount</td>
                                <td class="text-bold">{{(Model.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                            </tr>
                        </tfoot>
                    <tbody>
                        <tr>
                            <td ng-bind="Model.ProgramName" class="text-bold"></td>
                            <td class="text-bold">
                                {{(Model.EntryFee).formatCurrencyWithPenny(2)}}
                            </td>
                        </tr>
                        <tr class="charge" ng-repeat="charge in Model.UpdatedCharges">
                            <td>{{charge.Name}} <span class="label info">Service</span></td>
                            <td>{{(charge.Amount).formatCurrencyWithPenny(2)}}</td>
                        </tr>
                        <tr class="discount" ng-repeat="discount in Model.UpdatedDiscounts">
                            <td>{{discount.Name}} <span class="label success">Discount</span></td>
                            <td>{{(discount.Amount).formatCurrencyWithPenny(2)}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

    <div>
        <hr />
        <table class="table">
            <colgroup>
                <col />
                <col width="280" />
                <col width="400" />
            </colgroup>
            <thead>
                <tr>
                    <th class="text-left">Schedule dates</th>
                    <th class="text-left" ng-show="Model.PaymentPlan != 'FullPaid'">Payment due</th>
                    <th class="text-left" ng-show="Model.PaymentPlan != 'FullPaid'">Amount</th>
                    <th class="text-left" ng-show="Model.PaymentPlan != 'FullPaid'">Paid amount</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="subscriptionItem in Model.PastItemSchedules">
                    <td>
                        <span>{{formatDate(subscriptionItem.StartDate)}} - {{formatDate(subscriptionItem.EndDate)}} </span>
                    </td>
                    <td ng-show="Model.PaymentPlan != 'FullPaid'">
                        <span>{{formatDate(subscriptionItem.PaymentDueDate)}}</span>

                    </td>
                    <td ng-show="Model.PaymentPlan != 'FullPaid'">
                        <span>{{subscriptionItem.Amount.formatCurrencyWithPenny(2)}}</span>
                    </td>
                    <td ng-show="Model.PaymentPlan != 'FullPaid'">
                        <span ng-if="subscriptionItem.PaidAmount > 0">{{subscriptionItem.PaidAmount.formatCurrencyWithPenny(2)}}</span>
                        <span ng-if="subscriptionItem.PaidAmount == 0">-</span>
                    </td>
                    <td ng-show="Model.PaymentPlan != 'FullPaid'"></td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="clearfix"></div>
    <hr />
    <fieldset>
        <div class="row">
            <div class="span6">
                <div class="row">
                    <div class="span12">
                        <div style="display:table-cell;text-align:right;font-size:14px">
                            <span class="text-bold">
                                Desired start date:
                            </span>
                        </div>
                        <div style="display:table-cell">
                            <div class="input-control text">
                                <label style="margin-left:10px;">{{Model.StrDesiredStartDate}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="span6">
                <div class="row">
                    <div class="span12">
                        <div style="display:table-cell;text-align:right;font-size:14px">
                            <span class="text-bold">
                                Effective date:
                            </span>
                        </div>
                        <div style="display:table-cell">
                            <div class="input-control text">
                                <label style="margin-left:10px;">{{Model.StrEffectiveDate}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="span6" ng-if="Model.CancellationFee != 0">
                <div class="row">
                    <div class="span12">
                        <div style="display:table-cell;text-align:right;font-size:14px">
                            <span class="text-bold">
                                Cancellation fee:
                            </span>
                        </div>
                        <div style="display:table-cell">
                            <div class="input-control text">
                                <label style="margin-left:10px;">{{Model.CancellationFee.formatCurrencyWithPenny(2)}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="span6" ng-show="Model.CancelMemo != null">
                <div class="row">
                    <div style="display:table-cell;font-size:14px">
                        <span class="text-bold">
                            Memo:
                        </span>
                    </div>
                    <div style="display:table-cell">
                        <div class="input-control text">
                            <label style="margin-left:10px;">{{Model.CancelMemo}}</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </fieldset>
    <hr />
    <div class="input-control block checkbox default-style place-left no-margin padding-right50" data-role="input-control">
        <label>
            <input ng-model="@Html.Ang(m => m.SendEmail)" name="sendEmail" ng-value="true" type="checkbox" />
            <span class="check"></span>
            Send confirmation email
        </label>
    </div>
    <div class="clearfix">
        <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
        <button class="success place-right large button" id="CancelSubmit" ng-click="Submit()">Submit</button>
        <div class="clearfix"></div>
    </div>
</div>

